Update an OAuth2 connection Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.plannrcrm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
"PlannrCRM MCP server": {
  "url": "https://apidocs.plannrcrm.com/mcp"
}
Close
PUT /api/v1/oauth/connections/{oauthConnection_uuid}

Path parameters

  • oauthConnection_uuid string Required
application/json

Body

  • label string

    The label of the OAuth2 connection

Responses

  • 200 application/json
    Hide response attributes Show response attributes object
    • uuid string

      The UUID of the resource.

    • created_at string

      The timestamp of when the resource was created.

    • updated_at string

      The timestamp of when the resource was updated.

    • provider object

      The name of the provider the OAuth2 connection is for

      Hide provider attributes Show provider attributes object
      • name string
      • label string
      • logo_url string
      • authorization_url string
    • access_token_expires_at string

      The expiry date of the access token. If blank, the access token will not expire.

    • refresh_token_expires_at string

      The expiry date of the refresh token. If blank, the refresh token will not expire.

    • refresh_authorization_url string

      The authorization URL to refresh the connection. Only visible when listing all OAuth2 providers.

    • label string

      The user generated label for the OAuth2 connection.

PUT /api/v1/oauth/connections/{oauthConnection_uuid}
curl \
 --request PUT 'https://api.plannrcrm.com/api/v1/oauth/connections/6ff8f7f6-1eb3-3525-be4a-3932c805afed' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --data '{"label":"My Fundment Account 1"}'
Request examples
{
  "label": "My Fundment Account 1"
}
Response examples (200)
{
  "uuid": "8ef67ca5-483a-4dfa-bfb9-ea282aa4ff2c",
  "created_at": "2026-06-08T16:08:03+01:00",
  "updated_at": "2026-06-08T16:08:03+01:00",
  "provider": {
    "name": "fundment",
    "label": "Fundment",
    "logo_url": "https://api.plannrcrm.com/imgs/fundment-banner.png",
    "authorization_url": "https://api.plannrcrm.com/oauth/fundment/authorize"
  },
  "access_token_expires_at": "2026-06-08T19:08:03.847911Z",
  "refresh_token_expires_at": "2027-06-08T15:08:03.847942Z",
  "refresh_authorization_url": "https://api.plannrcrm.com/oauth/fundment/authorize/a99bdf91-a9d2-46c8-9690-df9f23910dc7",
  "label": "My Fundment Account 1"
}